Skip to content

Tasks

All operations require authentication.

2 operationsv2/vrackServices/resource
Agent setup

List tasksProduction

GET
/v2/vrackServices/resource/{vrackServicesId}/task

Returns the asynchronous operations run on the vRack Services, with their status and progress steps.

Path parameters

vrackServicesId
required
string

Vrack services ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Task[]successful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses vrackServicesId = string

$ curl https://api.eu.ovhcloud.com/v2/vrackServices/resource/{vrackServicesId}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a taskProduction

GET
/v2/vrackServices/resource/{vrackServicesId}/task/{taskId}

Returns the type, status, progress steps and errors of the task.

Path parameters

taskId
required
stringuuid

Task ID

vrackServicesId
required
string

Vrack services ID

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

404objectError 404 response

Example uses taskId = 00000000-0000-0000-0000-000000000000, vrackServicesId = string

$ curl https://api.eu.ovhcloud.com/v2/vrackServices/resource/{vrackServicesId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}